/*
 * Copyright 2020 ZUP IT SERVICOS EM TECNOLOGIA E INOVACAO SA
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package br.com.zup.beagle.widget.core

/**
 * Defines the text content alignment inside the text view
 *
 * @property LEFT
 * @property CENTER
 * @property RIGHT
 *
 */
enum class TextAlignment {
    /**
     * Text content is LEFT aligned inside the text view.
     *
     */
    LEFT,

    /**
     * Text content is CENTER aligned inside the text view.
     *
     */
    CENTER,

    /**
     * Text content is RIGHT aligned inside the text view.
     *
     */
    RIGHT
}